Open CASCADE Technology: DDF_TransactionStack Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
DDF_TransactionStack Class Reference

`#include <DDF_TransactionStack.hxx>`

## Public Member Functions
| DDF_TransactionStack ()
| DDF_TransactionStack (const DDF_TransactionStack &Other)
void | Assign (const DDF_TransactionStack &Other)
void | operator= (const DDF_TransactionStack &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~DDF_TransactionStack ()
Standard_Boolean | IsEmpty () const
void | Prepend (const Handle< DDF_Transaction > &I)
void | Prepend (const Handle< DDF_Transaction > &I, DDF_ListIteratorOfTransactionStack &theIt)
void | Prepend (DDF_TransactionStack &Other)
void | Append (const Handle< DDF_Transaction > &I)
void | Append (const Handle< DDF_Transaction > &I, DDF_ListIteratorOfTransactionStack &theIt)
void | Append (DDF_TransactionStack &Other)
Handle< DDF_Transaction > & | First () const
Handle< DDF_Transaction > & | Last () const
void | RemoveFirst ()
void | Remove (DDF_ListIteratorOfTransactionStack &It)
void | InsertBefore (const Handle< DDF_Transaction > &I, DDF_ListIteratorOfTransactionStack &It)
void | InsertBefore (DDF_TransactionStack &Other, DDF_ListIteratorOfTransactionStack &It)
void | InsertAfter (const Handle< DDF_Transaction > &I, DDF_ListIteratorOfTransactionStack &It)
void | InsertAfter (DDF_TransactionStack &Other, DDF_ListIteratorOfTransactionStack &It)

## Constructor & Destructor Documentation

DDF_TransactionStack::DDF_TransactionStack | ( |  | ) |

DDF_TransactionStack::DDF_TransactionStack | ( | const DDF_TransactionStack & | Other | ) |

DDF_TransactionStack::~DDF_TransactionStack | ( |  | ) |
| inline

## Member Function Documentation

void DDF_TransactionStack::Append | ( | const Handle< DDF_Transaction > & | I | ) |

void DDF_TransactionStack::Append | ( | const Handle< DDF_Transaction > & | I,
|  | DDF_ListIteratorOfTransactionStack & | theIt
| ) |  |

void DDF_TransactionStack::Append | ( | DDF_TransactionStack & | Other | ) |

void DDF_TransactionStack::Assign | ( | const DDF_TransactionStack & | Other | ) |

void DDF_TransactionStack::Clear | ( |  | ) |

Standard_Integer DDF_TransactionStack::Extent | ( |  | ) | const

Handle< DDF_Transaction >& DDF_TransactionStack::First | ( |  | ) | const

void DDF_TransactionStack::InsertAfter | ( | const Handle< DDF_Transaction > & | I,
|  | DDF_ListIteratorOfTransactionStack & | It
| ) |  |

void DDF_TransactionStack::InsertAfter | ( | DDF_TransactionStack & | Other,
|  | DDF_ListIteratorOfTransactionStack & | It
| ) |  |

void DDF_TransactionStack::InsertBefore | ( | const Handle< DDF_Transaction > & | I,
|  | DDF_ListIteratorOfTransactionStack & | It
| ) |  |

void DDF_TransactionStack::InsertBefore | ( | DDF_TransactionStack & | Other,
|  | DDF_ListIteratorOfTransactionStack & | It
| ) |  |

Standard_Boolean DDF_TransactionStack::IsEmpty | ( |  | ) | const

Handle< DDF_Transaction >& DDF_TransactionStack::Last | ( |  | ) | const

void DDF_TransactionStack::operator= | ( | const DDF_TransactionStack & | Other | ) |
| inline

void DDF_TransactionStack::Prepend | ( | const Handle< DDF_Transaction > & | I | ) |

void DDF_TransactionStack::Prepend | ( | const Handle< DDF_Transaction > & | I,
|  | DDF_ListIteratorOfTransactionStack & | theIt
| ) |  |

void DDF_TransactionStack::Prepend | ( | DDF_TransactionStack & | Other | ) |

void DDF_TransactionStack::Remove | ( | DDF_ListIteratorOfTransactionStack & | It | ) |

void DDF_TransactionStack::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- DDF_TransactionStack.hxx